/// <reference types="react" />
import { HeaderGroup } from 'react-table';
declare type Props<Data extends object = {}> = {
    headerGroups: HeaderGroup<Data>[];
    isLoading?: boolean;
    isEmpty?: boolean;
    hasError?: boolean;
    disableHeaders?: boolean;
    selectAllKey?: string;
};
declare const HeaderRow: <Data extends object = {}>({ headerGroups, isLoading, isEmpty, hasError, disableHeaders, selectAllKey }: Props<Data>) => JSX.Element | null;
export default HeaderRow;
